package com.lightinit.hsdataportal.model;

import java.math.BigDecimal;

/**
 * @Author: sunxiang
 * @Date: 2018/6/9 21:31
 * @Description:
 **/
public class DataListModel {

    private Long id;
    private Long publishSettingId;
    private Long resourceId;
    private String  resourceName;	//服务名称
    private String  resourceImg;	//资源图片
    private String packageName;
    private String viewTimes; //浏览次数
    private String shareType;   //共享类型
    private String openType;    //开放类型
    private String chargeMethod; //收费类型
    private String dataTag ;
    private Integer resourceFollowCount ;
   // private String downloadTimes;//下载次数   resource_view_times表没找到此字段


    public Integer getResourceFollowCount() {
        return resourceFollowCount;
    }

    public void setResourceFollowCount(Integer resourceFollowCount) {
        this.resourceFollowCount = resourceFollowCount;
    }

    public Long getResourceId() {
        return resourceId;
    }

    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceImg() {
        return resourceImg;
    }

    public void setResourceImg(String resourceImg) {
        this.resourceImg = resourceImg;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getChargeMethod() {
        return chargeMethod;
    }

    public void setChargeMethod(String chargeMethod) {
        this.chargeMethod = chargeMethod;
    }

    public Long getPublishSettingId() {
        return publishSettingId;
    }

    public void setPublishSettingId(Long publishSettingId) {
        this.publishSettingId = publishSettingId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getViewTimes() {
        return viewTimes;
    }

    public void setViewTimes(String viewTimes) {
        this.viewTimes = viewTimes;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public String getDataTag() {
        return dataTag;
    }

    public void setDataTag(String dataTag) {
        this.dataTag = dataTag;
    }
}
